Summary: Copies an ext2/ext3 file system to another volume or an image file
Name: clone2fs
Version: 1.3.0
Release: 4%{?dist}
License: GPLv2+
Group: System Environment/Base
URL: http://www.mr511.de/software/
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: http://www.mr511.de/software/%{name}-%{version}.tar.gz
Patch0: clone2fs-1.2.0-check_ext2_mf_busy.patch
# Patches >=100 will/should be fixed in CVS/SVN
BuildRequires: e2fsprogs-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Clone2fs copies an ext2/ext3 file system to another volume or an image
file. Unlike dd, clone2fs does not copy the whole volume but only
blocks that are actually in use. Therefore, it is usually faster.
It's also faster than dump/restore, tar, or similar backup software
because it accesses the source and destination volumes sequentially
most of the time.

%prep
%setup -q
%patch0 -p1 -b .check_ext2_mf_busy

%build
%{__make} CFLAGS="%{optflags}"

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%{__make} sbindir=%{buildroot}%{_sbindir} install

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%attr(0755,root,root) %{_sbindir}/%{name}

%changelog
* Tue Apr 21 2020 Simon Matter <simon.matter@invoca.ch> 1.3.0-4
- add support for EL8

* Mon Aug 01 2011 Simon Matter <simon.matter@invoca.ch> 1.3.0-3
- require e2fsprogs-devel

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.3.0-2
- mass rebuild

* Mon Feb 01 2010 Simon Matter <simon.matter@invoca.ch> 1.3.0-1
- upgrade to 1.3.0

* Mon Aug 25 2008 Simon Matter <simon.matter@invoca.ch> 1.2.0-1
- initial package
